#! /bin/bash
#
# This script illustrates a basic WQ task script.

# Treat the first command line argument as a full pathname:

FILE=$1
DIR=`dirname ${FILE}`
BASE=`basename ${FILE}`

# Just echo out the results and WQ variable values.

echo "DIR=${DIR}; BASE=${BASE}"
echo "WQ_NUMACTL=${WQ_NUMACTL}; WQ_CPT=${WQ_CPT}"
echo "That's all, folks!"

# Simulate a spread in task times:

T=`expr 1 + $RANDOM % 10`
echo "Sleeping for $T seconds."
sleep $T
