#! /bin/bash
#
# This script expects two arguments on command line.

CANNON=dalhgren

# The directory must exist. We can't create it here because of a
# race condition with all the other workers.

if [ ! -d ${CANNON} ] ; then
   echo "This directory must exist before running job: ${CANNON}"
   exit 1
fi

CMD="./range.sh -e $1 -p $2 ${CANNON}.dat > ${CANNON}/${1}_${2}.dat"

# 'if true' execute the command. 'if false' just echo it back.

if true ; then
   eval "${CMD}"
else
   echo "CMD=${CMD}"
   T=`expr 2 + $RANDOM % 10`
   echo "Sleeping for $T seconds."
   sleep $T
fi
